Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.persistence
Class EntityExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.persistence.PersistenceException
                      javax.persistence.EntityExistsException

All Implemented Interfaces:
  java.io.Serializable

    public class EntityExistsException

extends PersistenceException

Thrown by the persistence provider when `EntityManager.persist(Object)` is called and the entity already exists. The current transaction, if one is active, will be marked for rollback.

If the entity already exists, the `EntityExistsException` may be thrown when the persist operation is invoked, or the `EntityExistsException` or another `PersistenceException` may be thrown at flush or commit time.

The current transaction, if one is active, will be marked for rollback.

Since:
  Java Persistence 1.0
See Also:
  `EntityManager.persist(Object)`, Serialized Form

Constructor Summary
`EntityExistsException()` Constructs a new `EntityExistsException` exception with `null` as its detail message.
`EntityExistsException(java.lang.String message)` Constructs a new `EntityExistsException` exception with the specified detail message.
`EntityExistsException(java.lang.String message, java.lang.Throwable cause)` Constructs a new `EntityExistsException` exception with the specified detail message and cause.
`EntityExistsException(java.lang.Throwable cause)` Constructs a new `EntityExistsException` exception with the specified cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityExistsException

    public EntityExistsException()

  Constructs a new `EntityExistsException` exception with `null` as its detail message.

### EntityExistsException

    public EntityExistsException(java.lang.String message)

  Constructs a new `EntityExistsException` exception with the specified detail message.

  Parameters:
    `message` - the detail message.

### EntityExistsException

    public EntityExistsException(java.lang.String message,
                                 java.lang.Throwable cause)

  Constructs a new `EntityExistsException` exception with the specified detail message and cause.

  Parameters:
    `message` - the detail message.
    `cause` - the cause.

### EntityExistsException

    public EntityExistsException(java.lang.Throwable cause)

  Constructs a new `EntityExistsException` exception with the specified cause.

  Parameters:
    `cause` - the cause.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD